import { ATN, CharStream, DFA, Lexer } from "antlr4";
export default class OptionalsLexer extends Lexer {
    static readonly SPACE = 1;
    static readonly A = 2;
    static readonly B = 3;
    static readonly C = 4;
    static readonly D = 5;
    static readonly E = 6;
    static readonly F = 7;
    static readonly G = 8;
    static readonly H = 9;
    static readonly I = 10;
    static readonly J = 11;
    static readonly K = 12;
    static readonly L = 13;
    static readonly M = 14;
    static readonly N = 15;
    static readonly O = 16;
    static readonly P = 17;
    static readonly Q = 18;
    static readonly R = 19;
    static readonly S = 20;
    static readonly T = 21;
    static readonly U = 22;
    static readonly V = 23;
    static readonly W = 24;
    static readonly Y = 25;
    static readonly Z = 26;
    static readonly AA = 27;
    static readonly BB = 28;
    static readonly CC = 29;
    static readonly DD = 30;
    static readonly EOF: number;
    static readonly channelNames: string[];
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    constructor(input: CharStream);
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    get channelNames(): string[];
    get modeNames(): string[];
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
